Subject: bug#37530: 26.1; Tack characters translated incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Sep 2019 16:59:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 27 Sep 2019 15:50:47 +0200
> 
> > I'd like someone to do the research and find out why Markus Kuhn's
> > suggestions were changed.  I'd like also to state the source of the
> > data and the information about the change reason(s) in x-win.el, where
> > we have the mapping.
> 
> If somebody wants to do that research, be my guest.  I don't see the
> point -- this is the data the X server uses, so it's authoritative.

I'd like to hear more opinions, please.

> >> 	  /* Keysyms directly mapped to Unicode characters.  */
> >> 	  if (keysym >= 0x01000000 && keysym <= 0x0110FFFF)
> >
> > To answer the question, one needs to compare the keysyms with the
> > corresponding codepoints.  If they are identical, then the mapping is
> > trivial.
> 
> I don't understand what you mean.  The comment says that the keysyms in
> the 0x01000000 to 0x0110FFFF range map directly to code points.  What is
> there to compare?

Perhaps I've misunderstood where the code was taken from.  You didn't
say.